# Screen off timeout

A decision block that checks the screen off timeout setting.

If the proceed option is set to Immediately, then check the current timeout without pausing the fiber. If set to When changed, then the fiber will pause until the timeout has been changed to within the range, or it’s no longer within the range.

If both minimum timeout and maximum timeout is set and doesn’t evaluate to `null` then the actual timeout must be within the range. If only minimum is set, then the actual timeout must be greater than or equal to it. If only maximum is set, then the actual timeout must be less than or equal to it. If neither minimum nor maximum is set, then the current timeout is just assigned to the current timeout variable without a check.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Minimum timeout — minimum timeout in seconds.
- Maximum timeout — maximum timeout in seconds.

## Output variables

- Current timeout — variable to assign the current timeout in seconds.